/*

 Voice Controlled Sockets - Android App
 All the resurces for this project can be found at:
 http://randomnerdtutorials.com/
 
 Created by Rui Santos

*/
#include <RCSwitch.h>
//int led = 11; // pin Digital 11 
int state;         //saves the state
int flag=0;        //makes sure that the serial only prints once the state
RCSwitch mySwitch = RCSwitch();  //Socket switch

void setup() {
    // sets the LED as output:
    //pinMode(led, OUTPUT);
    //digitalWrite(led, LOW); 
    
    // initialize serial communication at 9600 bits per second:
    Serial.begin(9600);
    //initialize the 433mhz transmitter
    // Transmitter is connected to Arduino Pin #10  
    mySwitch.enableTransmit(10);
    // Optional set pulse length.
    mySwitch.setPulseLength(504); 
    // Optional set protocol (default is 1, will work for most outlets)
    // mySwitch.setProtocol(2);
    // Optional set number of transmission repetitions.
    mySwitch.setRepeatTransmit(30); 
    //the socket starts off by default
    mySwitch.send(1332564, 24);
    delay(300);
}

void loop() {
    //if some date is sent, reads it and saves in state
    if(Serial.available() > 0){     
      state = Serial.read();   
      flag=0;
    }   
    // if the state is '0' the Light will turn OFF
    if (state == '0') {
        //LED Example
        //digitalWrite(led, LOW); 
        //Replace those XXXXXXXX with the right bytes received from your remote
        mySwitch.send(XXXXXXXX, 24);
        if(flag == 0){
          Serial.println("LED Off!");
          flag=1;
        }
    }
    
    // if the state is '1' the Light will turn ON
    else if (state == '1') {
        //LED Example
        //digitalWrite(led, HIGH); 
        //Replace those XXXXXXXX with the right bytes received from your remote
        mySwitch.send(XXXXXXXX, 24); 
        if(flag == 0){
          Serial.println("LED On!");
          flag=1;
        }
    }
    //Uncomment For debugging purpose
    //Serial.println(state);
}
